Bug 1378675 - Assign LOG_INFO priority to syslog calls
Summary: Assign LOG_INFO priority to syslog calls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 2.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 2.1
Assignee: Brad Hubbard
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1383917
TreeView+ depends on / blocked
 
Reported: 2016-09-23 03:55 UTC by Brad Hubbard
Modified: 2019-12-16 06:52 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-10.2.3-3.el7cp Ubuntu: ceph_10.2.3-4redhat1xenial
Doc Type: Bug Fix
Doc Text:
.Ceph log messages are now LOG_INFO priority Previously, Ceph log messages had the `LOG_DEBUG` priority. However, with the default `syslog` configuration, `LOG_DEBUG` messages do not appear in the logs. With this update, Ceph log messages have `LOG_INFO` priority, ensuring that they appear in the logs.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:31:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 15808 None None None 2016-09-23 03:55:55 UTC
Ceph Project Bug Tracker 17376 None None None 2016-09-23 04:04:50 UTC
Red Hat Bugzilla 1276186 None None None Never
Red Hat Bugzilla 1331537 None None None Never
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Internal Links: 1276186 1331537

Description Brad Hubbard 2016-09-23 03:55:55 UTC
Description of problem:

When we resolved Bug #13993 to stop everything sent to syslog being sent at LOG_EMERG priority it was decided LOG_DEBUG was the appropriate level. In hindsight I believe this was the wrong decision and that LOG_INFO is a better choice.

With a default syslog configuration syslog messages sent at LOG_DEBUG priority do not make it to the logs, since by default syslog logs everything of info level or higher. So, in order to see syslog messages from Ceph (including logs generated in the event of as crash) currently requires configuring Ceph to log to syslog and also configuring syslog (or rsyslog) to display debug messages.

The problem can be demonstrated on a system with syslog configured using the following.

    logger -p user.info "This should go to syslog"
    logger -p user.debug "This should not go to syslog"
    grep "to syslog" /var/log/messages
    May 10 02:22:02 intel-boxen-02 root: This should go to syslog

The move to journalctl will make this less of an issue IMHO but that may take a while to be the default in all environments.

Version-Release number of selected component (if applicable):
10.2.2-41.el7cp.x86_64

Comment 2 Brad Hubbard 2016-09-23 04:04:26 UTC
Bug #13993 refers to http://tracker.ceph.com/issues/13993

Comment 3 Brad Hubbard 2016-09-27 02:29:37 UTC
Jewel PR https://github.com/ceph/ceph/pull/11231

Comment 15 errata-xmlrpc 2016-11-22 19:31:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.